Liblinphone: linphone::PresenceService Class Reference

Liblinphone 5.3.0

Public Member Functions | List of all members
linphone::PresenceService Class Reference

Presence service type holding information about a presence service. More...

`#include <presence_service.hh>`

Inheritance diagram for linphone::PresenceService:

## Public Member Functions
LINPHONECXX_PUBLIC | PresenceService (void *ptr, bool takeRef=true)
LINPHONECXX_PUBLIC _LinphonePresenceService * | cPtr ()
LINPHONECXX_PUBLIC linphone::PresenceBasicStatus | getBasicStatus () const
| Gets the basic status of a presence service.
LINPHONECXX_PUBLIC linphone::Status | setBasicStatus (linphone::PresenceBasicStatus basicStatus)
| Sets the basic status of a presence service.
LINPHONECXX_PUBLIC std::string | getContact () const
| Gets the contact of a presence service.
LINPHONECXX_PUBLIC linphone::Status | setContact (const std::string &contact)
| Sets the contact of a presence service.
LINPHONECXX_PUBLIC std::string | getId () const
| Gets the id of a presence service.
LINPHONECXX_PUBLIC linphone::Status | setId (const std::string &id)
| Sets the id of a presence service.
LINPHONECXX_PUBLIC unsigned int | getNbNotes () const
| Gets the number of notes included in the presence service.
LINPHONECXX_PUBLIC std::list< std::string > | getServiceDescriptions () const
| Gets the service descriptions of a presence service.
LINPHONECXX_PUBLIC linphone::Status | setServiceDescriptions (const std::list< std::string > &descriptions)
| Sets the service descriptions of a presence service.
LINPHONECXX_PUBLIC linphone::Status | addNote (const std::shared_ptr< linphone::PresenceNote > &note)
| Adds a note to a presence service.
LINPHONECXX_PUBLIC linphone::Status | clearNotes ()
| Clears the notes of a presence service.
LINPHONECXX_PUBLIC std::shared_ptr< linphone::PresenceNote > | getNthNote (unsigned int index) const
| Gets the nth note of a presence service.

## Detailed Description

Presence service type holding information about a presence service.

## Member Function Documentation

## ◆ addNote()

LINPHONECXX_PUBLIC linphone::Status linphone::PresenceService::addNote | ( | const std::shared_ptr< linphone::PresenceNote > & | note | ) |

Adds a note to a presence service.

Parameters

  note | The PresenceNote object to add to the service.

Returns
  0 if successful, a value < 0 in case of error.

## ◆ clearNotes()

LINPHONECXX_PUBLIC linphone::Status linphone::PresenceService::clearNotes | ( |  | ) |

Clears the notes of a presence service.

Returns
  0 if successful, a value < 0 in case of error.

## ◆ getBasicStatus()

LINPHONECXX_PUBLIC linphone::PresenceBasicStatus linphone::PresenceService::getBasicStatus | ( |  | ) | const

Gets the basic status of a presence service.

Returns
  The PresenceBasicStatus of the PresenceService object given as parameter.

## ◆ getContact()

LINPHONECXX_PUBLIC std::string linphone::PresenceService::getContact | ( |  | ) | const

Gets the contact of a presence service.

Returns
  A pointer to a dynamically allocated string containing the contact, or nullptr if no contact is found.
  The returned string is to be freed by calling ms_free().

## ◆ getId()

LINPHONECXX_PUBLIC std::string linphone::PresenceService::getId | ( |  | ) | const

Gets the id of a presence service.

Returns
  A pointer to a dynamically allocated string containing the id, or nullptr in case of error.
  The returned string is to be freed by calling ms_free().

## ◆ getNbNotes()

LINPHONECXX_PUBLIC unsigned int linphone::PresenceService::getNbNotes | ( |  | ) | const

Gets the number of notes included in the presence service.

Returns
  The number of notes included in the PresenceService object.

## ◆ getNthNote()

LINPHONECXX_PUBLIC std::shared_ptr< linphone::PresenceNote > linphone::PresenceService::getNthNote | ( | unsigned int | index | ) | const

Gets the nth note of a presence service.

Parameters

  index | The index of the note to get (the first note having the index 0).

Returns
  A pointer to a PresenceNote object if successful, nullptr otherwise.

## ◆ getServiceDescriptions()

LINPHONECXX_PUBLIC std::list< std::string > linphone::PresenceService::getServiceDescriptions | ( |  | ) | const

Gets the service descriptions of a presence service.

Returns
  A containing the services descriptions.
  The returned string is to be freed.

## ◆ setBasicStatus()

LINPHONECXX_PUBLIC linphone::Status linphone::PresenceService::setBasicStatus | ( | linphone::PresenceBasicStatus | basicStatus | ) |

Sets the basic status of a presence service.

Parameters

  basicStatus | The PresenceBasicStatus to set for the PresenceService object.

Returns
  0 if successful, a value < 0 in case of error.

## ◆ setContact()

LINPHONECXX_PUBLIC linphone::Status linphone::PresenceService::setContact | ( | const std::string & | contact | ) |

Sets the contact of a presence service.

Parameters

  contact | The contact string to set.

Returns
  0 if successful, a value < 0 in case of error.

## ◆ setId()

LINPHONECXX_PUBLIC linphone::Status linphone::PresenceService::setId | ( | const std::string & | id | ) |

Sets the id of a presence service.

Parameters

  id | The id string to set. Can be nullptr to generate it automatically.

Returns
  0 if successful, a value < 0 in case of error.

## ◆ setServiceDescriptions()

LINPHONECXX_PUBLIC linphone::Status linphone::PresenceService::setServiceDescriptions | ( | const std::list< std::string > & | descriptions | ) |

Sets the service descriptions of a presence service.

Parameters

  descriptions | The service descriptions.

Returns
  0 if successful, a value < 0 in case of error.

The documentation for this class was generated from the following file:

- presence_service.hh